ARToolKit API Documentation

- Main Page
- Data Structures
- Files

- File List
- Globals

# arMulti.h File Reference

ARToolkit multi pattern subroutines. More...

`#include <stdio.h>`
`#include <AR/config.h>`
`#include <AR/param.h>`
`#include <AR/ar.h>`

## Data Structures
struct | ARMultiEachMarkerInfoT
| multi-marker structure More...
struct | ARMultiMarkerInfoT
| global multi-marker structure More...
## Functions
ARMultiMarkerInfoT * | arMultiReadConfigFile (const char *filename)
| loading multi-markers description from a file
double | arMultiGetTransMat (ARMarkerInfo *marker_info, int marker_num, ARMultiMarkerInfoT *config)
| compute camera position in function of the multi-marker patterns (based on detected markers)
int | arMultiActivate (ARMultiMarkerInfoT *config)
| activate a multi-marker pattern on the recognition procedure.
int | arMultiDeactivate (ARMultiMarkerInfoT *config)
| Desactivate a multi-marker pattern on the recognition procedure.
int | arMultiFreeConfig (ARMultiMarkerInfoT *config)
| remove a multi-marker pattern from memory.
double | arsMultiGetTransMat (ARMarkerInfo *marker_infoL, int marker_numL, ARMarkerInfo *marker_infoR, int marker_numR, ARMultiMarkerInfoT *config)

## Detailed Description

ARToolkit multi pattern subroutines.

This file extend ar core routines for multi-pattern tracking. You can obtain position of a local coordinate system based on the estimation of multiple markers tracking (each in relative position)

Remarks:
  more efficient with uniform planar configuration

History :

Author:
  Hirokazu Kato kato@sys.im.hiroshima-cu.ac.jp

Version:
  1.0

Date:
  01/09/05

## Function Documentation

int arMultiActivate | ( | ARMultiMarkerInfoT * | config | ) |

  | activate a multi-marker pattern on the recognition procedure. Activate a multi-marker for be checking during the template matching operation. Parameters:
  | config | pointer to the multi-marker
Returns: 0 if success, -1 if error

int arMultiDeactivate | ( | ARMultiMarkerInfoT * | config | ) |

  | Desactivate a multi-marker pattern on the recognition procedure. Desactivate a multi-marker for not be checking during the template matching operation. Parameters:
  | config | pointer to the multi-marker
Returns: 0 if success, -1 if error

int arMultiFreeConfig | ( | ARMultiMarkerInfoT * | config | ) |

  | remove a multi-marker pattern from memory. desactivate a pattern and remove it from memory. Post-condition of this function is unavailability of the multi-marker pattern. Parameters:
  | config | pointer to the multi-marker
Returns: 0 if success, -1 if error

double arMultiGetTransMat | ( | ARMarkerInfo * | marker_info,
|  | int | marker_num,
|  | ARMultiMarkerInfoT * | config
| ) |

  | compute camera position in function of the multi-marker patterns (based on detected markers) calculate the transformation between the multi-marker patterns and the real camera. Based on confident values of detected markers in the multi-markers patterns, a global position is return. Parameters:
  | marker_info | list of detected markers (from arDetectMarker)
  | marker_num | number of detected markers
  | config |
Returns:

ARMultiMarkerInfoT* arMultiReadConfigFile | ( | const char * | filename | ) |

  | loading multi-markers description from a file Load a configuration file for multi-markers tracking. The configuration file furnishs pointer to each pattern description. Parameters:
  | filename | name of the pattern file
Returns: a pattern structure, NULL if error

Generated with Doxygen
Copyright © 2004-2007. HIT Lab NZ. All Rights Reserved.